Update conditional firewall bypass
PUT
/__remote/api.vercel.com/v1/security/firewall/bypass/rulesUpdate a conditional firewall bypass rule for a project domain. Replaces conditions and the note for the domain's existing rule. Omitting
note clears it. The rule ID, domain, creator, and creation time are preserved. Missing or deleted rules are not created.Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.security.updateConditionalBypass({ projectId: "<id>", slug: "my-team-url-slug", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", });
console.log(result);}
run();Response
{ "condition": "string", "conditionGroup": [ { "conditions": [ { "key": "string", "neg": "false", "op": "eq", "type": "bot_category", "value": "string" } ] } ], "createdAt": "string", "domain": "string", "id": "icfg_1234567890", "note": "string", "projectId": "example_id", "updatedAt": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error